## org.eclipse.emf.ocl.utilities
Interface PredefinedType

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  AnyType, BagType, CollectionType, InvalidType, MessageType, OrderedSetType, PrimitiveBoolean, PrimitiveInteger, PrimitiveReal, PrimitiveString, PrimitiveType, SequenceType, SetType, TupleType, TypeType, VoidType

All Known Implementing Classes:
  AnyTypeImpl, BagTypeImpl, CollectionTypeImpl, InvalidTypeImpl, MessageTypeImpl, OrderedSetTypeImpl, PrimitiveBooleanImpl, PrimitiveIntegerImpl, PrimitiveRealImpl, PrimitiveStringImpl, PrimitiveTypeImpl, SequenceTypeImpl, SetTypeImpl, TupleTypeImpl, TypeTypeImpl, VoidTypeImpl

Deprecated. Use the `PredefinedType` interface, instead.

    @Deprecated
    public interface PredefinedType

extends EObject

A representation of the model object 'Predefined Type'.

See Also:
  `UtilitiesPackage.getPredefinedType()`

Field Summary
`static int` `ABS` Deprecated.
`static String` `ABS_NAME` Deprecated.
`static int` `ALL_INSTANCES` Deprecated.
`static String` `ALL_INSTANCES_NAME` Deprecated.
`static int` `AND` Deprecated.
`static String` `AND_NAME` Deprecated.
`static int` `ANY` Deprecated.
`static String` `ANY_NAME` Deprecated.
`static int` `APPEND` Deprecated.
`static String` `APPEND_NAME` Deprecated.
`static int` `AS_BAG` Deprecated.
`static String` `AS_BAG_NAME` Deprecated.
`static int` `AS_ORDERED_SET` Deprecated.
`static String` `AS_ORDERED_SET_NAME` Deprecated.
`static int` `AS_SEQUENCE` Deprecated.
`static String` `AS_SEQUENCE_NAME` Deprecated.
`static int` `AS_SET` Deprecated.
`static String` `AS_SET_NAME` Deprecated.
`static int` `AT` Deprecated.
`static String` `AT_NAME` Deprecated.
`static int` `CLOSURE` Deprecated.
`static String` `CLOSURE_NAME` Deprecated.
`static int` `COLLECT` Deprecated.
`static String` `COLLECT_NAME` Deprecated.
`static int` `COLLECT_NESTED` Deprecated.
`static String` `COLLECT_NESTED_NAME` Deprecated.
`static int` `CONCAT` Deprecated.
`static String` `CONCAT_NAME` Deprecated.
`static String` `copyright` Deprecated.
`static int` `COUNT` Deprecated.
`static String` `COUNT_NAME` Deprecated.
`static int` `DIV` Deprecated.
`static String` `DIV_NAME` Deprecated.
`static int` `DIVIDE` Deprecated.
`static String` `DIVIDE_NAME` Deprecated.
`static int` `EQUAL` Deprecated.
`static String` `EQUAL_NAME` Deprecated.
`static int` `EXCLUDES` Deprecated.
`static int` `EXCLUDES_ALL` Deprecated.
`static String` `EXCLUDES_ALL_NAME` Deprecated.
`static String` `EXCLUDES_NAME` Deprecated.
`static int` `EXCLUDING` Deprecated.
`static String` `EXCLUDING_NAME` Deprecated.
`static int` `EXISTS` Deprecated.
`static String` `EXISTS_NAME` Deprecated.
`static int` `FIRST` Deprecated.
`static String` `FIRST_NAME` Deprecated.
`static int` `FLATTEN` Deprecated.
`static String` `FLATTEN_NAME` Deprecated.
`static int` `FLOOR` Deprecated.
`static String` `FLOOR_NAME` Deprecated.
`static int` `FOR_ALL` Deprecated.
`static String` `FOR_ALL_NAME` Deprecated.
`static int` `GREATER_THAN` Deprecated.
`static int` `GREATER_THAN_EQUAL` Deprecated.
`static String` `GREATER_THAN_EQUAL_NAME` Deprecated.
`static String` `GREATER_THAN_NAME` Deprecated.
`static int` `HAS_RETURNED` Deprecated.
`static String` `HAS_RETURNED_NAME` Deprecated.
`static int` `IMPLIES` Deprecated.
`static String` `IMPLIES_NAME` Deprecated.
`static int` `INCLUDES` Deprecated.
`static int` `INCLUDES_ALL` Deprecated.
`static String` `INCLUDES_ALL_NAME` Deprecated.
`static String` `INCLUDES_NAME` Deprecated.
`static int` `INCLUDING` Deprecated.
`static String` `INCLUDING_NAME` Deprecated.
`static int` `INDEX_OF` Deprecated.
`static String` `INDEX_OF_NAME` Deprecated.
`static int` `INSERT_AT` Deprecated.
`static String` `INSERT_AT_NAME` Deprecated.
`static int` `INTERSECTION` Deprecated.
`static String` `INTERSECTION_NAME` Deprecated.
`static int` `IS_EMPTY` Deprecated.
`static String` `IS_EMPTY_NAME` Deprecated.
`static int` `IS_OPERATION_CALL` Deprecated.
`static String` `IS_OPERATION_CALL_NAME` Deprecated.
`static int` `IS_SIGNAL_SENT` Deprecated.
`static String` `IS_SIGNAL_SENT_NAME` Deprecated.
`static int` `IS_UNIQUE` Deprecated.
`static String` `IS_UNIQUE_NAME` Deprecated.
`static int` `LAST` Deprecated.
`static String` `LAST_NAME` Deprecated.
`static int` `LESS_THAN` Deprecated.
`static int` `LESS_THAN_EQUAL` Deprecated.
`static String` `LESS_THAN_EQUAL_NAME` Deprecated.
`static String` `LESS_THAN_NAME` Deprecated.
`static int` `MAX` Deprecated.
`static String` `MAX_NAME` Deprecated.
`static int` `MIN` Deprecated.
`static String` `MIN_NAME` Deprecated.
`static int` `MINUS` Deprecated.
`static String` `MINUS_NAME` Deprecated.
`static int` `MOD` Deprecated.
`static String` `MOD_NAME` Deprecated.
`static int` `NOT` Deprecated.
`static int` `NOT_EMPTY` Deprecated.
`static String` `NOT_EMPTY_NAME` Deprecated.
`static int` `NOT_EQUAL` Deprecated.
`static String` `NOT_EQUAL_NAME` Deprecated.
`static String` `NOT_NAME` Deprecated.
`static int` `OCL_AS_TYPE` Deprecated.
`static String` `OCL_AS_TYPE_NAME` Deprecated.
`static int` `OCL_IS_IN_STATE` Deprecated.
`static String` `OCL_IS_IN_STATE_NAME` Deprecated.
`static int` `OCL_IS_INVALID` Deprecated.
`static String` `OCL_IS_INVALID_NAME` Deprecated.
`static int` `OCL_IS_KIND_OF` Deprecated.
`static String` `OCL_IS_KIND_OF_NAME` Deprecated.
`static int` `OCL_IS_NEW` Deprecated.
`static String` `OCL_IS_NEW_NAME` Deprecated.
`static int` `OCL_IS_TYPE_OF` Deprecated.
`static String` `OCL_IS_TYPE_OF_NAME` Deprecated.
`static int` `OCL_IS_UNDEFINED` Deprecated.
`static String` `OCL_IS_UNDEFINED_NAME` Deprecated.
`static int` `ONE` Deprecated.
`static String` `ONE_NAME` Deprecated.
`static int` `OR` Deprecated.
`static String` `OR_NAME` Deprecated.
`static int` `PLUS` Deprecated.
`static String` `PLUS_NAME` Deprecated.
`static int` `PREPEND` Deprecated.
`static String` `PREPEND_NAME` Deprecated.
`static int` `PRODUCT` Deprecated.
`static String` `PRODUCT_NAME` Deprecated.
`static int` `REJECT` Deprecated.
`static String` `REJECT_NAME` Deprecated.
`static int` `RELATED_TYPE` Deprecated.
`static int` `RESULT` Deprecated.
`static String` `RESULT_NAME` Deprecated.
`static int` `ROUND` Deprecated.
`static String` `ROUND_NAME` Deprecated.
`static int` `SAME_TYPE` Deprecated.
`static int` `SELECT` Deprecated.
`static String` `SELECT_NAME` Deprecated.
`static int` `SIZE` Deprecated.
`static String` `SIZE_NAME` Deprecated.
`static int` `SORTED_BY` Deprecated.
`static String` `SORTED_BY_NAME` Deprecated.
`static int` `STRICT_SUBTYPE` Deprecated.
`static int` `STRICT_SUPERTYPE` Deprecated.
`static int` `SUB_ORDERED_SET` Deprecated.
`static String` `SUB_ORDERED_SET_NAME` Deprecated.
`static int` `SUB_SEQUENCE` Deprecated.
`static String` `SUB_SEQUENCE_NAME` Deprecated.
`static int` `SUBSTRING` Deprecated.
`static String` `SUBSTRING_NAME` Deprecated.
`static int` `SUBTYPE` Deprecated.
`static int` `SUM` Deprecated.
`static String` `SUM_NAME` Deprecated.
`static int` `SUPERTYPE` Deprecated.
`static int` `SYMMETRIC_DIFFERENCE` Deprecated.
`static String` `SYMMETRIC_DIFFERENCE_NAME` Deprecated.
`static int` `TIMES` Deprecated.
`static String` `TIMES_NAME` Deprecated.
`static int` `TO_INTEGER` Deprecated.
`static String` `TO_INTEGER_NAME` Deprecated.
`static int` `TO_LOWER` Deprecated.
`static String` `TO_LOWER_NAME` Deprecated.
`static int` `TO_REAL` Deprecated.
`static String` `TO_REAL_NAME` Deprecated.
`static int` `TO_UPPER` Deprecated.
`static String` `TO_UPPER_NAME` Deprecated.
`static int` `UNION` Deprecated.
`static String` `UNION_NAME` Deprecated.
`static int` `UNRELATED_TYPE` Deprecated.
`static int` `XOR` Deprecated.
`static String` `XOR_NAME` Deprecated.

Method Summary
`EClassifier` `getCommonSupertype(EClassifier type)` Deprecated.
`int` `getOperationCodeFor(String operName)` Deprecated.
`String` `getOperationNameFor(int opcode)` Deprecated.
`EList` `getOperations()` Deprecated.
`int` `getRelationshipTo(EClassifier type)` Deprecated.
`EClassifier` `getResultTypeFor(EClassifier ownerType, int opcode, EList args)` Deprecated.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

### SAME_TYPE

    static final int SAME_TYPE

  Deprecated.
  See Also:
    Constant Field Values

### STRICT_SUBTYPE

    static final int STRICT_SUBTYPE

  Deprecated.
  See Also:
    Constant Field Values

### SUBTYPE

    static final int SUBTYPE

  Deprecated.
  See Also:
    Constant Field Values

### STRICT_SUPERTYPE

    static final int STRICT_SUPERTYPE

  Deprecated.
  See Also:
    Constant Field Values

### SUPERTYPE

    static final int SUPERTYPE

  Deprecated.
  See Also:
    Constant Field Values

### RELATED_TYPE

    static final int RELATED_TYPE

  Deprecated.
  See Also:
    Constant Field Values

### UNRELATED_TYPE

    static final int UNRELATED_TYPE

  Deprecated.
  See Also:
    Constant Field Values

### PLUS

    static final int PLUS

  Deprecated.
  See Also:
    Constant Field Values

### PLUS_NAME

    static final String PLUS_NAME

  Deprecated.
  See Also:
    Constant Field Values

### MINUS

    static final int MINUS

  Deprecated.
  See Also:
    Constant Field Values

### MINUS_NAME

    static final String MINUS_NAME

  Deprecated.
  See Also:
    Constant Field Values

### TIMES

    static final int TIMES

  Deprecated.
  See Also:
    Constant Field Values

### TIMES_NAME

    static final String TIMES_NAME

  Deprecated.
  See Also:
    Constant Field Values

### DIVIDE

    static final int DIVIDE

  Deprecated.
  See Also:
    Constant Field Values

### DIVIDE_NAME

    static final String DIVIDE_NAME

  Deprecated.
  See Also:
    Constant Field Values

### AND

    static final int AND

  Deprecated.
  See Also:
    Constant Field Values

### AND_NAME

    static final String AND_NAME

  Deprecated.
  See Also:
    Constant Field Values

### NOT

    static final int NOT

  Deprecated.
  See Also:
    Constant Field Values

### NOT_NAME

    static final String NOT_NAME

  Deprecated.
  See Also:
    Constant Field Values

### OR

    static final int OR

  Deprecated.
  See Also:
    Constant Field Values

### OR_NAME

    static final String OR_NAME

  Deprecated.
  See Also:
    Constant Field Values

### IMPLIES

    static final int IMPLIES

  Deprecated.
  See Also:
    Constant Field Values

### IMPLIES_NAME

    static final String IMPLIES_NAME

  Deprecated.
  See Also:
    Constant Field Values

### ABS

    static final int ABS

  Deprecated.
  See Also:
    Constant Field Values

### ABS_NAME

    static final String ABS_NAME

  Deprecated.
  See Also:
    Constant Field Values

### DIV

    static final int DIV

  Deprecated.
  See Also:
    Constant Field Values

### DIV_NAME

    static final String DIV_NAME

  Deprecated.
  See Also:
    Constant Field Values

### MOD

    static final int MOD

  Deprecated.
  See Also:
    Constant Field Values

### MOD_NAME

    static final String MOD_NAME

  Deprecated.
  See Also:
    Constant Field Values

### MAX

    static final int MAX

  Deprecated.
  See Also:
    Constant Field Values

### MAX_NAME

    static final String MAX_NAME

  Deprecated.
  See Also:
    Constant Field Values

### MIN

    static final int MIN

  Deprecated.
  See Also:
    Constant Field Values

### MIN_NAME

    static final String MIN_NAME

  Deprecated.
  See Also:
    Constant Field Values

### SIZE

    static final int SIZE

  Deprecated.
  See Also:
    Constant Field Values

### SIZE_NAME

    static final String SIZE_NAME

  Deprecated.
  See Also:
    Constant Field Values

### CONCAT

    static final int CONCAT

  Deprecated.
  See Also:
    Constant Field Values

### CONCAT_NAME

    static final String CONCAT_NAME

  Deprecated.
  See Also:
    Constant Field Values

### SUBSTRING

    static final int SUBSTRING

  Deprecated.
  See Also:
    Constant Field Values

### SUBSTRING_NAME

    static final String SUBSTRING_NAME

  Deprecated.
  See Also:
    Constant Field Values

### TO_INTEGER

    static final int TO_INTEGER

  Deprecated.
  See Also:
    Constant Field Values

### TO_INTEGER_NAME

    static final String TO_INTEGER_NAME

  Deprecated.
  See Also:
    Constant Field Values

### TO_REAL

    static final int TO_REAL

  Deprecated.
  See Also:
    Constant Field Values

### TO_REAL_NAME

    static final String TO_REAL_NAME

  Deprecated.
  See Also:
    Constant Field Values

### XOR

    static final int XOR

  Deprecated.
  See Also:
    Constant Field Values

### XOR_NAME

    static final String XOR_NAME

  Deprecated.
  See Also:
    Constant Field Values

### FLOOR

    static final int FLOOR

  Deprecated.
  See Also:
    Constant Field Values

### FLOOR_NAME

    static final String FLOOR_NAME

  Deprecated.
  See Also:
    Constant Field Values

### ROUND

    static final int ROUND

  Deprecated.
  See Also:
    Constant Field Values

### ROUND_NAME

    static final String ROUND_NAME

  Deprecated.
  See Also:
    Constant Field Values

### TO_LOWER

    static final int TO_LOWER

  Deprecated.
  See Also:
    Constant Field Values

### TO_LOWER_NAME

    static final String TO_LOWER_NAME

  Deprecated.
  See Also:
    Constant Field Values

### TO_UPPER

    static final int TO_UPPER

  Deprecated.
  See Also:
    Constant Field Values

### TO_UPPER_NAME

    static final String TO_UPPER_NAME

  Deprecated.
  See Also:
    Constant Field Values

### ALL_INSTANCES

    static final int ALL_INSTANCES

  Deprecated.
  See Also:
    Constant Field Values

### ALL_INSTANCES_NAME

    static final String ALL_INSTANCES_NAME

  Deprecated.
  See Also:
    Constant Field Values

### EQUAL

    static final int EQUAL

  Deprecated.
  See Also:
    Constant Field Values

### EQUAL_NAME

    static final String EQUAL_NAME

  Deprecated.
  See Also:
    Constant Field Values

### NOT_EQUAL

    static final int NOT_EQUAL

  Deprecated.
  See Also:
    Constant Field Values

### NOT_EQUAL_NAME

    static final String NOT_EQUAL_NAME

  Deprecated.
  See Also:
    Constant Field Values

### OCL_AS_TYPE

    static final int OCL_AS_TYPE

  Deprecated.
  See Also:
    Constant Field Values

### OCL_AS_TYPE_NAME

    static final String OCL_AS_TYPE_NAME

  Deprecated.
  See Also:
    Constant Field Values

### OCL_IS_KIND_OF

    static final int OCL_IS_KIND_OF

  Deprecated.
  See Also:
    Constant Field Values

### OCL_IS_KIND_OF_NAME

    static final String OCL_IS_KIND_OF_NAME

  Deprecated.
  See Also:
    Constant Field Values

### OCL_IS_TYPE_OF

    static final int OCL_IS_TYPE_OF

  Deprecated.
  See Also:
    Constant Field Values

### OCL_IS_TYPE_OF_NAME

    static final String OCL_IS_TYPE_OF_NAME

  Deprecated.
  See Also:
    Constant Field Values

### OCL_IS_UNDEFINED

    static final int OCL_IS_UNDEFINED

  Deprecated.
  See Also:
    Constant Field Values

### OCL_IS_UNDEFINED_NAME

    static final String OCL_IS_UNDEFINED_NAME

  Deprecated.
  See Also:
    Constant Field Values

### OCL_IS_INVALID

    static final int OCL_IS_INVALID

  Deprecated.
  See Also:
    Constant Field Values

### OCL_IS_INVALID_NAME

    static final String OCL_IS_INVALID_NAME

  Deprecated.
  See Also:
    Constant Field Values

### LESS_THAN

    static final int LESS_THAN

  Deprecated.
  See Also:
    Constant Field Values

### LESS_THAN_NAME

    static final String LESS_THAN_NAME

  Deprecated.
  See Also:
    Constant Field Values

### GREATER_THAN

    static final int GREATER_THAN

  Deprecated.
  See Also:
    Constant Field Values

### GREATER_THAN_NAME

    static final String GREATER_THAN_NAME

  Deprecated.
  See Also:
    Constant Field Values

### LESS_THAN_EQUAL

    static final int LESS_THAN_EQUAL

  Deprecated.
  See Also:
    Constant Field Values

### LESS_THAN_EQUAL_NAME

    static final String LESS_THAN_EQUAL_NAME

  Deprecated.
  See Also:
    Constant Field Values

### GREATER_THAN_EQUAL

    static final int GREATER_THAN_EQUAL

  Deprecated.
  See Also:
    Constant Field Values

### GREATER_THAN_EQUAL_NAME

    static final String GREATER_THAN_EQUAL_NAME

  Deprecated.
  See Also:
    Constant Field Values

### OCL_IS_NEW

    static final int OCL_IS_NEW

  Deprecated.
  See Also:
    Constant Field Values

### OCL_IS_NEW_NAME

    static final String OCL_IS_NEW_NAME

  Deprecated.
  See Also:
    Constant Field Values

### OCL_IS_IN_STATE

    static final int OCL_IS_IN_STATE

  Deprecated.
  See Also:
    Constant Field Values

### OCL_IS_IN_STATE_NAME

    static final String OCL_IS_IN_STATE_NAME

  Deprecated.
  See Also:
    Constant Field Values

### HAS_RETURNED

    static final int HAS_RETURNED

  Deprecated.
  See Also:
    Constant Field Values

### HAS_RETURNED_NAME

    static final String HAS_RETURNED_NAME

  Deprecated.
  See Also:
    Constant Field Values

### RESULT

    static final int RESULT

  Deprecated.
  See Also:
    Constant Field Values

### RESULT_NAME

    static final String RESULT_NAME

  Deprecated.
  See Also:
    Constant Field Values

### IS_SIGNAL_SENT

    static final int IS_SIGNAL_SENT

  Deprecated.
  See Also:
    Constant Field Values

### IS_SIGNAL_SENT_NAME

    static final String IS_SIGNAL_SENT_NAME

  Deprecated.
  See Also:
    Constant Field Values

### IS_OPERATION_CALL

    static final int IS_OPERATION_CALL

  Deprecated.
  See Also:
    Constant Field Values

### IS_OPERATION_CALL_NAME

    static final String IS_OPERATION_CALL_NAME

  Deprecated.
  See Also:
    Constant Field Values

### COUNT

    static final int COUNT

  Deprecated.
  See Also:
    Constant Field Values

### COUNT_NAME

    static final String COUNT_NAME

  Deprecated.
  See Also:
    Constant Field Values

### EXCLUDES

    static final int EXCLUDES

  Deprecated.
  See Also:
    Constant Field Values

### EXCLUDES_NAME

    static final String EXCLUDES_NAME

  Deprecated.
  See Also:
    Constant Field Values

### EXCLUDES_ALL

    static final int EXCLUDES_ALL

  Deprecated.
  See Also:
    Constant Field Values

### EXCLUDES_ALL_NAME

    static final String EXCLUDES_ALL_NAME

  Deprecated.
  See Also:
    Constant Field Values

### INCLUDES

    static final int INCLUDES

  Deprecated.
  See Also:
    Constant Field Values

### INCLUDES_NAME

    static final String INCLUDES_NAME

  Deprecated.
  See Also:
    Constant Field Values

### INCLUDES_ALL

    static final int INCLUDES_ALL

  Deprecated.
  See Also:
    Constant Field Values

### INCLUDES_ALL_NAME

    static final String INCLUDES_ALL_NAME

  Deprecated.
  See Also:
    Constant Field Values

### IS_EMPTY

    static final int IS_EMPTY

  Deprecated.
  See Also:
    Constant Field Values

### IS_EMPTY_NAME

    static final String IS_EMPTY_NAME

  Deprecated.
  See Also:
    Constant Field Values

### NOT_EMPTY

    static final int NOT_EMPTY

  Deprecated.
  See Also:
    Constant Field Values

### NOT_EMPTY_NAME

    static final String NOT_EMPTY_NAME

  Deprecated.
  See Also:
    Constant Field Values

### PRODUCT

    static final int PRODUCT

  Deprecated.
  See Also:
    Constant Field Values

### PRODUCT_NAME

    static final String PRODUCT_NAME

  Deprecated.
  See Also:
    Constant Field Values

### SUM

    static final int SUM

  Deprecated.
  See Also:
    Constant Field Values

### SUM_NAME

    static final String SUM_NAME

  Deprecated.
  See Also:
    Constant Field Values

### AS_BAG

    static final int AS_BAG

  Deprecated.
  See Also:
    Constant Field Values

### AS_BAG_NAME

    static final String AS_BAG_NAME

  Deprecated.
  See Also:
    Constant Field Values

### AS_ORDERED_SET

    static final int AS_ORDERED_SET

  Deprecated.
  See Also:
    Constant Field Values

### AS_ORDERED_SET_NAME

    static final String AS_ORDERED_SET_NAME

  Deprecated.
  See Also:
    Constant Field Values

### AS_SEQUENCE

    static final int AS_SEQUENCE

  Deprecated.
  See Also:
    Constant Field Values

### AS_SEQUENCE_NAME

    static final String AS_SEQUENCE_NAME

  Deprecated.
  See Also:
    Constant Field Values

### AS_SET

    static final int AS_SET

  Deprecated.
  See Also:
    Constant Field Values

### AS_SET_NAME

    static final String AS_SET_NAME

  Deprecated.
  See Also:
    Constant Field Values

### EXCLUDING

    static final int EXCLUDING

  Deprecated.
  See Also:
    Constant Field Values

### EXCLUDING_NAME

    static final String EXCLUDING_NAME

  Deprecated.
  See Also:
    Constant Field Values

### FLATTEN

    static final int FLATTEN

  Deprecated.
  See Also:
    Constant Field Values

### FLATTEN_NAME

    static final String FLATTEN_NAME

  Deprecated.
  See Also:
    Constant Field Values

### INCLUDING

    static final int INCLUDING

  Deprecated.
  See Also:
    Constant Field Values

### INCLUDING_NAME

    static final String INCLUDING_NAME

  Deprecated.
  See Also:
    Constant Field Values

### INTERSECTION

    static final int INTERSECTION

  Deprecated.
  See Also:
    Constant Field Values

### INTERSECTION_NAME

    static final String INTERSECTION_NAME

  Deprecated.
  See Also:
    Constant Field Values

### UNION

    static final int UNION

  Deprecated.
  See Also:
    Constant Field Values

### UNION_NAME

    static final String UNION_NAME

  Deprecated.
  See Also:
    Constant Field Values

### AT

    static final int AT

  Deprecated.
  See Also:
    Constant Field Values

### AT_NAME

    static final String AT_NAME

  Deprecated.
  See Also:
    Constant Field Values

### FIRST

    static final int FIRST

  Deprecated.
  See Also:
    Constant Field Values

### FIRST_NAME

    static final String FIRST_NAME

  Deprecated.
  See Also:
    Constant Field Values

### INDEX_OF

    static final int INDEX_OF

  Deprecated.
  See Also:
    Constant Field Values

### INDEX_OF_NAME

    static final String INDEX_OF_NAME

  Deprecated.
  See Also:
    Constant Field Values

### INSERT_AT

    static final int INSERT_AT

  Deprecated.
  See Also:
    Constant Field Values

### INSERT_AT_NAME

    static final String INSERT_AT_NAME

  Deprecated.
  See Also:
    Constant Field Values

### LAST

    static final int LAST

  Deprecated.
  See Also:
    Constant Field Values

### LAST_NAME

    static final String LAST_NAME

  Deprecated.
  See Also:
    Constant Field Values

### PREPEND

    static final int PREPEND

  Deprecated.
  See Also:
    Constant Field Values

### PREPEND_NAME

    static final String PREPEND_NAME

  Deprecated.
  See Also:
    Constant Field Values

### SUB_SEQUENCE

    static final int SUB_SEQUENCE

  Deprecated.
  See Also:
    Constant Field Values

### SUB_SEQUENCE_NAME

    static final String SUB_SEQUENCE_NAME

  Deprecated.
  See Also:
    Constant Field Values

### APPEND

    static final int APPEND

  Deprecated.
  See Also:
    Constant Field Values

### APPEND_NAME

    static final String APPEND_NAME

  Deprecated.
  See Also:
    Constant Field Values

### SUB_ORDERED_SET

    static final int SUB_ORDERED_SET

  Deprecated.
  See Also:
    Constant Field Values

### SUB_ORDERED_SET_NAME

    static final String SUB_ORDERED_SET_NAME

  Deprecated.
  See Also:
    Constant Field Values

### SYMMETRIC_DIFFERENCE

    static final int SYMMETRIC_DIFFERENCE

  Deprecated.
  See Also:
    Constant Field Values

### SYMMETRIC_DIFFERENCE_NAME

    static final String SYMMETRIC_DIFFERENCE_NAME

  Deprecated.
  See Also:
    Constant Field Values

### EXISTS

    static final int EXISTS

  Deprecated.
  See Also:
    Constant Field Values

### EXISTS_NAME

    static final String EXISTS_NAME

  Deprecated.
  See Also:
    Constant Field Values

### FOR_ALL

    static final int FOR_ALL

  Deprecated.
  See Also:
    Constant Field Values

### FOR_ALL_NAME

    static final String FOR_ALL_NAME

  Deprecated.
  See Also:
    Constant Field Values

### IS_UNIQUE

    static final int IS_UNIQUE

  Deprecated.
  See Also:
    Constant Field Values

### IS_UNIQUE_NAME

    static final String IS_UNIQUE_NAME

  Deprecated.
  See Also:
    Constant Field Values

### ONE

    static final int ONE

  Deprecated.
  See Also:
    Constant Field Values

### ONE_NAME

    static final String ONE_NAME

  Deprecated.
  See Also:
    Constant Field Values

### ANY

    static final int ANY

  Deprecated.
  See Also:
    Constant Field Values

### ANY_NAME

    static final String ANY_NAME

  Deprecated.
  See Also:
    Constant Field Values

### COLLECT

    static final int COLLECT

  Deprecated.
  See Also:
    Constant Field Values

### COLLECT_NAME

    static final String COLLECT_NAME

  Deprecated.
  See Also:
    Constant Field Values

### COLLECT_NESTED

    static final int COLLECT_NESTED

  Deprecated.
  See Also:
    Constant Field Values

### COLLECT_NESTED_NAME

    static final String COLLECT_NESTED_NAME

  Deprecated.
  See Also:
    Constant Field Values

### CLOSURE

    static final int CLOSURE

  Deprecated.
  See Also:
    Constant Field Values

### CLOSURE_NAME

    static final String CLOSURE_NAME

  Deprecated.
  See Also:
    Constant Field Values

### SELECT

    static final int SELECT

  Deprecated.
  See Also:
    Constant Field Values

### SELECT_NAME

    static final String SELECT_NAME

  Deprecated.
  See Also:
    Constant Field Values

### REJECT

    static final int REJECT

  Deprecated.
  See Also:
    Constant Field Values

### REJECT_NAME

    static final String REJECT_NAME

  Deprecated.
  See Also:
    Constant Field Values

### SORTED_BY

    static final int SORTED_BY

  Deprecated.
  See Also:
    Constant Field Values

### SORTED_BY_NAME

    static final String SORTED_BY_NAME

  Deprecated.
  See Also:
    Constant Field Values

Method Detail

### getOperations

    EList getOperations()

  Deprecated.

### getOperationNameFor

    String getOperationNameFor(int opcode)

  Deprecated.

### getOperationCodeFor

    int getOperationCodeFor(String operName)

  Deprecated.

### getResultTypeFor

    EClassifier getResultTypeFor(EClassifier ownerType,
                                 int opcode,
                                 EList args)
                                 throws SemanticException

  Deprecated.

  Throws:
    `SemanticException`

### getRelationshipTo

    int getRelationshipTo(EClassifier type)

  Deprecated.

### getCommonSupertype

    EClassifier getCommonSupertype(EClassifier type)
                                   throws SemanticException

  Deprecated.

  Throws:
    `SemanticException`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.